Package io.vertx.rxjava3.ext.auth.htdigest

## Class HtdigestAuth

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.authentication.AuthenticationProvider
  - - io.vertx.rxjava3.ext.auth.htdigest.HtdigestAuth

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class HtdigestAuth
      extends AuthenticationProvider
      implements io.vertx.lang.rx.RxDelegate

  An extension of AuthProvider which is using .htdigest file as store

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<HtdigestAuth>` | `__TYPE_ARG` |
    `static String` | `HTDIGEST_FILE` | The property name to be used to set the name of the collection inside the config

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HtdigestAuth​(HtdigestAuth delegate)` |
    `HtdigestAuth​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HtdigestAuth` | `create​(Vertx vertx)` | Creates an instance of HtdigestAuth.
    `static HtdigestAuth` | `create​(Vertx vertx, String htfile)` | Creates an instance of HtdigestAuth by using the given htfile file.
    `boolean` | `equals​(Object o)` |
    `HtdigestAuth` | `getDelegate()` |
    `int` | `hashCode()` |
    `static HtdigestAuth` | `newInstance​(HtdigestAuth arg)` |
    `String` | `realm()` | Return the currently used realm
    `String` | `toString()` |

    - ### Methods inherited from class io.vertx.rxjava3.ext.auth.authentication.AuthenticationProvider

      `authenticate, newInstance, rxAuthenticate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<HtdigestAuth> __TYPE_ARG

    - #### HTDIGEST_FILE

          public static final String HTDIGEST_FILE

      The property name to be used to set the name of the collection inside the config
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtdigestAuth

          public HtdigestAuth​(HtdigestAuth delegate)

    - #### HtdigestAuth

          public HtdigestAuth​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AuthenticationProvider`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `AuthenticationProvider`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AuthenticationProvider`

    - #### getDelegate

          public HtdigestAuth getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `AuthenticationProvider`

    - #### create

          public static HtdigestAuth create​(Vertx vertx)

      Creates an instance of HtdigestAuth.
      Parameters:
        `vertx` -
      Returns:
        the created instance of `HtdigestAuth`s

    - #### create

          public static HtdigestAuth create​(Vertx vertx,
                                            String htfile)

      Creates an instance of HtdigestAuth by using the given htfile file.
      Parameters:
        `vertx` -
        `htfile` - the existing htfile.
      Returns:
        the created instance of `HtdigestAuth`s

    - #### realm

          public String realm()

      Return the currently used realm
      Returns:
        the realm

    - #### newInstance

          public static HtdigestAuth newInstance​(HtdigestAuth arg)